/* Style for the popup overlay */
.pmc-popup-overlay {
    display: none; /* Initially hidden */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    z-index: 99999; /* High z-index to appear above all other elements */
    overflow: auto; /* Allows content to be scrollable if it overflows */
}

/* Style for the popup content container */
.pmc-popup-content {
    position: fixed; /* Changed to fixed */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    box-shadow: 0px 4px 6px 0px rgba(0,0,0,0.1);
    max-width: 800px;
    width: 90%; 
    max-height: 80vh; 
    overflow-y: auto; 
    text-align: center;
    border-radius: 10px; 
    z-index: 10001; /* Ensure the popup is above the overlay */
}

/* Style for the popup image */
.pmc-popup-content img {
    width: auto;
    max-height: 250px;
    height: 200px;
    margin: 20px;
}
/* Style for the popup text */
.pmc-popup-content p {
    margin-bottom: 20px; /* Space below the text */
}

/* Style for the popup button */
.pmc-popup-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #335998;
    color: #fff;
    text-decoration: none;
    border-radius: 4px;
    box-shadow: 0px 4px 6px 0px rgba(0,0,0,0.1);
}

.pmc-popup-button:hover {
    background-color: #98b8d9;;
}

/* Style for the popup close button */
.pmc-popup-close {
    height: 32px;
    position: absolute;
    top: 10px;
    right: 10px;
    width: 32px;
    background-color: #335998;
    border-radius: 50%;
    text-decoration: none;
    font-size: 18px;
    color: #fff !important;
    display: inline-block;
    padding-top: 3px;
}

.pmc-popup-close:hover {
    background-color: #98b8d9;
}

@media only screen and (max-width: 600px) {
    .pmc-popup-content {
        position: fixed; /* Keep it as fixed */
        width: 90%; 
        max-width: none; 
        top: 50vh; /* Center it vertically based on the viewport height */
        left: 50%; 
        transform: translate(-50%, -50%); /* Center it horizontally */
        border-radius: 10px; 
        box-shadow: 0px 4px 6px 0px rgba(0,0,0,0.1); 
        overflow-y: auto; 
        background-color: #fff; 
        z-index: 10001; /* Ensure the popup is above the overlay */
    }
    .pmc-popup-overlay {
        padding: 10px; /* Padding around the overlay */
    }
    
    .pmc-popup-close {
        color: #fff !important;
    }
}

body .pmc-popup-overlay .pmc-popup-content a.pmc-popup-close {
    color: #fff !important;
}

.popup-text-content {
    text-align: initial;
    padding-left: 20px;
    padding-right: 20px;
}
